Package org.eclipse.birt.report.engine.emitter

# Interface IContentEmitter

public interface IContentEmitter
used to pass the content object to following process.

## Method Summary

Modifier and Type
Method
Description
`void`
`end(IReportContent report)`
End the emitter
`void`
`endCell(ICellContent cell)`
End cell
`void`
`endContainer(IContainerContent container)`
End container
`void`
`endContent(IContent content)`
End content
`void`
`endGroup(IGroupContent group)`
End group
`void`
`endList(IListContent list)`
End list
`void`
`endListBand(IListBandContent listBand)`
End list band
`void`
`endListGroup(IListGroupContent group)`
End list group
`void`
`endPage(IPageContent page)`
Page end
`void`
`endRow(IRowContent row)`
End row
`void`
`endTable(ITableContent table)`
Table end
`void`
`endTableBand(ITableBandContent band)`
End table band
`void`
`endTableGroup(ITableGroupContent group)`
End table group
`String`
`getOutputFormat()`
Get the output format
`void`
`initialize(IEmitterServices service)`
Initialize the emitter
`void`
`start(IReportContent report)`
Start the emitter
`void`
`startAutoText(IAutoTextContent autoText)`
Start auto text
`void`
`startCell(ICellContent cell)`
Start cell
`void`
`startContainer(IContainerContent container)`
Start container
`void`
`startContent(IContent content)`
Start content
`void`
`startData(IDataContent data)`
Start data
`void`
`startForeign(IForeignContent foreign)`
Start foreign
`void`
`startGroup(IGroupContent group)`
Start group
`void`
`startImage(IImageContent image)`
Start image
`void`
`startLabel(ILabelContent label)`
Start label
`void`
`startList(IListContent list)`
Start list
`void`
`startListBand(IListBandContent listBand)`
Start list band
`void`
`startListGroup(IListGroupContent group)`
Start list group
`void`
`startPage(IPageContent page)`
Start a page
`void`
`startRow(IRowContent row)`
Start row
`void`
`startTable(ITableContent table)`
Table started
`void`
`startTableBand(ITableBandContent band)`
Start table band
`void`
`startTableGroup(ITableGroupContent group)`
Start table group
`void`
`startText(ITextContent text)`
Start text

## Method Details

### getOutputFormat

String getOutputFormat()
Get the output format

Returns:
  output format

### initialize

void initialize(IEmitterServices service) throws org.eclipse.birt.core.exception.BirtException
Initialize the emitter

Parameters:
  `service` - emitter service
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### start

void start(IReportContent report) throws org.eclipse.birt.core.exception.BirtException
Start the emitter

Parameters:
  `report` - report content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### end

void end(IReportContent report) throws org.eclipse.birt.core.exception.BirtException
End the emitter

Parameters:
  `report` - report content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### startPage

void startPage(IPageContent page) throws org.eclipse.birt.core.exception.BirtException
Start a page

Parameters:
  `page` - page content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### endPage

void endPage(IPageContent page) throws org.eclipse.birt.core.exception.BirtException
Page end

Parameters:
  `page` - oage content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### startTable

void startTable(ITableContent table) throws org.eclipse.birt.core.exception.BirtException
Table started

Parameters:
  `table` - table content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### endTable

void endTable(ITableContent table) throws org.eclipse.birt.core.exception.BirtException
Table end

Parameters:
  `table` - table content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### startTableBand

void startTableBand(ITableBandContent band) throws org.eclipse.birt.core.exception.BirtException
Start table band

Parameters:
  `band` - table band content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### endTableBand

void endTableBand(ITableBandContent band) throws org.eclipse.birt.core.exception.BirtException
End table band

Parameters:
  `band` - table band content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### startRow

void startRow(IRowContent row) throws org.eclipse.birt.core.exception.BirtException
Start row

Parameters:
  `row` - row content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### endRow

void endRow(IRowContent row) throws org.eclipse.birt.core.exception.BirtException
End row

Parameters:
  `row` - row content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### startCell

void startCell(ICellContent cell) throws org.eclipse.birt.core.exception.BirtException
Start cell

Parameters:
  `cell` - cell content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### endCell

void endCell(ICellContent cell) throws org.eclipse.birt.core.exception.BirtException
End cell

Parameters:
  `cell` - cell content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### startList

void startList(IListContent list) throws org.eclipse.birt.core.exception.BirtException
Start list

Parameters:
  `list` - list content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### endList

void endList(IListContent list) throws org.eclipse.birt.core.exception.BirtException
End list

Parameters:
  `list` - list content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### startListBand

void startListBand(IListBandContent listBand) throws org.eclipse.birt.core.exception.BirtException
Start list band

Parameters:
  `listBand` - list band content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### endListBand

void endListBand(IListBandContent listBand) throws org.eclipse.birt.core.exception.BirtException
End list band

Parameters:
  `listBand` - list band content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### startContainer

void startContainer(IContainerContent container) throws org.eclipse.birt.core.exception.BirtException
Start container

Parameters:
  `container` - container content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### endContainer

void endContainer(IContainerContent container) throws org.eclipse.birt.core.exception.BirtException
End container

Parameters:
  `container` - container content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### startText

void startText(ITextContent text) throws org.eclipse.birt.core.exception.BirtException
Start text

Parameters:
  `text` - text content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### startData

void startData(IDataContent data) throws org.eclipse.birt.core.exception.BirtException
Start data

Parameters:
  `data` - data content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### startLabel

void startLabel(ILabelContent label) throws org.eclipse.birt.core.exception.BirtException
Start label

Parameters:
  `label` - label content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### startAutoText

void startAutoText(IAutoTextContent autoText) throws org.eclipse.birt.core.exception.BirtException
Start auto text

Parameters:
  `autoText` - auto text content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### startForeign

void startForeign(IForeignContent foreign) throws org.eclipse.birt.core.exception.BirtException
Start foreign

Parameters:
  `foreign` - foreign content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### startImage

void startImage(IImageContent image) throws org.eclipse.birt.core.exception.BirtException
Start image

Parameters:
  `image` - image content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### startContent

void startContent(IContent content) throws org.eclipse.birt.core.exception.BirtException
Start content

Parameters:
  `content` - content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### endContent

void endContent(IContent content) throws org.eclipse.birt.core.exception.BirtException
End content

Parameters:
  `content` - content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### startGroup

void startGroup(IGroupContent group) throws org.eclipse.birt.core.exception.BirtException
Start group

Parameters:
  `group` - group content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### endGroup

void endGroup(IGroupContent group) throws org.eclipse.birt.core.exception.BirtException
End group

Parameters:
  `group` - group content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### startTableGroup

void startTableGroup(ITableGroupContent group) throws org.eclipse.birt.core.exception.BirtException
Start table group

Parameters:
  `group` - table group content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### endTableGroup

void endTableGroup(ITableGroupContent group) throws org.eclipse.birt.core.exception.BirtException
End table group

Parameters:
  `group` - table group content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### startListGroup

void startListGroup(IListGroupContent group) throws org.eclipse.birt.core.exception.BirtException
Start list group

Parameters:
  `group` - list group content
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### endListGroup

void endListGroup(IListGroupContent group) throws org.eclipse.birt.core.exception.BirtException
End list group

Parameters:
  `group` - list group content
Throws:
  `org.eclipse.birt.core.exception.BirtException`